/* για white-space
            SPACING SYSTEM (px)
            2 / 4 / 8 / 12 / 16 / 24 / 32 / 48 / 64 / 80 / 96 / 128

            FONT SIZE SYSTEM (px)
            10 / 12 / 14 / 16 / 18 / 20 / 24 / 30 / 36 / 44 / 52 / 62 / 74 / 86 / 98
*/

/*HEADER*/

.logo {
  height: 3rem;
}

.main-header {
  display: flex;
  padding: 0 4.8rem;
  height: 9.6rem;
  align-items: center;
  justify-content: space-around;
  position: relative;
}

.nav-list {
  display: flex;
  font-size: 1.6rem;
  gap: 3.6rem;
  list-style: none;
  align-items: center;
  font-weight: 700;
}

.nav-link:link,
.nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #2565ef;
  transition: all 0.3s;
}

.nav-link:hover,
.nav-link:active {
  color: #4a086b;
}

.header-btn:link,
.header-btn:visited {
  padding: 1.2rem 2.4rem;
  color: #fff;
  font-weight: 700;
  font-size: 1.8rem;
  border-radius: 9px;
}

.nav-link:link.nav-cta:link,
.nav-link:visited.nav-cta:visited {
  color: #fff;
  background-color: #4a086b;
}

.nav-link:hover.nav-cta:hover,
.nav-link:active.nav-cta:active {
  background-color: #9015cd;
}

.nav-link:link.nav-about:link,
.nav-link:visited.nav-about:visited {
  color: #fff;
  background-color: #1e51bf;
}

.nav-link:hover.nav-about:hover,
.nav-link:active.nav-about:active {
  background-color: #2565ef;
}

.sign-buttons {
  margin-left: auto;
}

/*HERO*/

.section-hero {
  background-image: linear-gradient(
      rgba(68, 68, 68, 0.9),
      rgba(103, 1, 255, 0.9)
    ),
    url(../imgs/CloudVault-hero.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  /* height: 100vh; */
  padding: 6.4rem 0 9.6rem 0;
}

.line {
  background-color: #ffffff;
  width: 8px;
  height: 100%;
}

.hero-content {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  column-gap: 4.8rem;
  align-items: center;
  padding: 0 3.2rem;
}

.hero-text {
  font-size: 2rem;
  line-height: 1.8;
  color: #fff;
  margin-bottom: 1.8rem;
}

.hero-img-box {
  height: 40rem;
  width: 40rem;
  background: url(../imgs/hero-sec.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  justify-self: center;
  box-shadow: 0 1.6rem 3.2rem rgb(128, 0, 255);
  transition: all 0.6s;
  border-radius: 60%;
  border: 8px solid #fff;
}

.hero-img-box:hover {
  transform: translateY(-4.2rem);
  box-shadow: 0 2.4rem 4.8rem rgb(72, 0, 255);
  cursor: pointer;
}

/*section-featured*/
.section-featured {
  padding: 4.8rem 0 3.2rem 0;
}

.feature-text {
  font-size: 1.8rem;
  margin-bottom: 3.2rem;
  text-transform: uppercase;
}

.logos {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.logos img {
  height: 3.6rem;
  filter: hue-rotate(40deg);
  opacity: 80%;
}

/*SECTION STEPS*/

.section-steps {
  padding: 9.6rem 0;
}

/*Αν το αλλάξεις μειώνεται το μέγεθος της γραμμής καθώς
το content δίνει height*/
.step-img {
  width: 65%;
}

.step-img-box {
  display: flex;
  justify-content: center;
  align-items: center;
}

.step-text-box {
  border: #2565ef 5px dashed;
  padding: 3.2rem;
  transition: all 0.3s;
}

.step-text-box:hover {
  transform: scale(1.1);
  cursor: pointer;
}

.time-line-item {
  position: relative;
}

.time-line-item {
  display: grid;
  /*Να είναι 1fr η φωτογραγία auto ο αριθμός και 1fr το text*/
  grid-template-columns: 1fr auto 1fr;
  align-items: center;
  gap: 4.8rem;
  padding: 3.2rem 4.8rem;
}

/*Η γραμμή*/
.line-time {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 5px;
  /* height: 70%; */
  /*Μην κάνεις border-left:4px dashed αν ενώνεις τις κάθε γραμμές μέσω του time-line-item*/
  background-color: #4a086b;
  transform: translate(-50%, -50%);
  /* Προσαρμόζεις ύψος αν χρειαστεί */
  height: 100%;
  transition: all 0.3s;
}

/* Πρώτο: κονταίνει από πάνω */
/*Από το time-line-item πηγαίνε και πάρε αν υπάρχει first-child element με το class .line-time*/
.time-line-item:first-child .line-time {
  /*Τοποθεσία είναι absolute*/
  top: 80%;
  /*Υψος*/
  height: 80%;
}

/* Τελευταίο: κονταίνει από κάτω */
.time-line-item:last-child .line-time {
  top: 0;
  height: 80%;
}

/*sibling selector που λειτουργεί μόνο αν το line-time είναι μαζί με το step-num στο ίδιο parent-container flow DOM δηλαδή είναι αδέρφια μέσα σε ένα parent-container*/

/*Θέλω όταν γίνεται το .step-num:hover να αλλάζει το χρώμα στο .line-time αδερφό του*/
.step-num:hover + .line-time {
  background-color: #2565ef;
}

.step-num {
  font-size: 3.2rem;
  height: 5rem;
  width: 5rem;
  border-radius: 50%;
  border: 5px solid #4a086b;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  position: relative; /*🔥 Απαραίτητο */
  z-index: 1; /*Φέρνει τον αριθμό πάνω από τη γραμμή */
  padding: 3.2rem;
  color: #2565ef;
  transition: all 0.3s;
  font-weight: 700;
}

.step-text {
  font-size: 1.8rem;
  line-height: 1.8;
}

.step-num:hover {
  border: 5px solid #2565ef;
  color: #4a086b;
  cursor: pointer;
}

/*Section Summary*/

.section-summary {
  padding: 4.8rem 0;
  background-image: linear-gradient(
      rgba(68, 68, 68, 0.9),
      rgba(103, 1, 255, 0.9)
    ),
    url(../imgs/CloudVault-summary.jpg);
  background-position: center;
  background-size: cover;
}

.summary {
  font-size: 1.8rem;
  line-height: 1.8;
  background-color: rgba(255, 255, 255, 0.568);
  padding: 4.8rem;
  font-weight: 600;
  border-radius: 9px;
}

.summary .heading-secondary {
  margin-bottom: 2.4rem;
}

/*Section Testimonials*/

.section-testimonials {
  display: grid;
  grid-template-columns: 55fr 45fr;
  align-items: center;
  background-color: #4a086b;
  gap: 1.6rem;
}

.testimonial-container {
  padding: 4.8rem;
  background-image: linear-gradient(
    to bottom right,
    rgba(255, 255, 255, 0.66),
    rgba(144, 0, 255, 0.66)
  );
}

.testimonial-text {
  font-size: 1.8rem;
  line-height: 1.8;
  font-style: normal;
  margin-bottom: 1.6rem;
  color: #fff;
}

.testimonial-author {
  font-size: 1.6rem;
  color: #c0bdbd;
  margin-bottom: 1.6rem;
}

.testimonial-work {
  font-size: 1.4rem;
  color: #ddd;
}

.testimonial img {
  height: 7.4rem;
  width: 7.4rem;
  border-radius: 50%;
  margin-bottom: 1.8rem;
  box-shadow: 0 0 0 1.2rem rgba(72, 0, 255, 0.55);
}

.table-icon {
  height: 4rem;
  width: 4rem;
  color: white;
  font-weight: bold;
  transition: all 0.3s;
  cursor: pointer;
}

.table-icon:hover {
  transform: scale(2.5);
}

.table-container {
  padding: 1.2rem;
}

.cloud-table {
  color: #fff;
  border-collapse: collapse;
  transition: all 0.4s;
  cursor: pointer;
}

.cloud-table:hover {
  box-shadow: 0 2.4rem 4.8rem rgb(72, 0, 255);
}

.cloud-head th {
  width: 25%;
}

.cloud-table th,
.cloud-table td {
  padding: 1.6rem;
  font-size: 2rem;
  border: 2px dotted #2565ef;
  text-align: center;
  line-height: 1.6;
}

/*section-pricing*/

.section-pricing {
  padding: 9.6rem 0;
  /*Πρέπει να έχεις αναγκαστικά background-image για το blur effect*/
  background-image: linear-gradient(
      rgba(139, 26, 195, 0.6),
      rgba(21, 62, 151, 0.6)
    ),
    url(../imgs/pricing-section.jpg);
  background-position: center;
  background-size: cover;
}

.plan-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 4.8rem;
}

.plan {
  /* width: 70%; */
  padding: 3.2rem;
  transition: all 0.4s;
  cursor: pointer;
  color: white; /* για καλύτερη αντίθεση */
  border-radius: 15px;
}

.plan:hover {
  transform: translateY(-1.2rem);
}

.plan-free {
  /* width: 70%; */
  /* λίγο πιο διαφανές για περισσότερο "τζάμι" */
  background: rgba(6, 162, 197, 0.188);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  /*Για safari θέλει το -webkit prefix*/
  border: 1px solid rgba(255, 255, 255, 0.2);
  justify-self: end;
}

.plan-business {
  background: rgba(
    255,
    255,
    255,
    0.2
  ); /* λίγο πιο διαφανές για περισσότερο "τζάμι" */
  box-shadow: 0 1.6rem 3.2rem rgba(168, 19, 255, 0.9);
  backdrop-filter: blur(12px);
  /*Για safari θέλει το -webkit prefix*/
  -webkit-backdrop-filter: blur(12px);

  border: 1px solid rgba(255, 255, 255, 0.2);
  color: white; /* για καλύτερη αντίθεση */
  position: relative;
}

.plan-business::after {
  content: "Users Choice";
  display: inline-block;
  padding: 1.2rem 2.4rem;
  background-color: #ac25ef;
  color: #fff;
  font-size: 1.8rem;
  font-weight: 700;
  text-transform: uppercase;
  position: absolute;
  top: -3%;
  left: 25%;
  border-radius: 9px;
}

.plan-regular {
  background: rgba(
    46,
    11,
    185,
    0.262
  ); /* λίγο πιο διαφανές για περισσότερο "τζάμι" */
  box-shadow: 0 8px 32px 0 rgba(6, 55, 169, 0.37);
  border: 1px solid rgba(255, 255, 255, 0.2);
}

.plan-header {
  text-align: center;
  margin-bottom: 3.2rem;
}
.plan-title {
  font-size: 3rem;
  color: #4a086b;
  font-weight: 700;
  margin-bottom: 2.4rem;
  line-height: 1.2;
}

.plan-price {
  font-size: 4rem;
  margin-bottom: 3.2rem;
  color: #ffff;
  font-weight: 600;
}

.plan-price span {
  font-size: 3.2rem;
  margin-right: 0.8rem;
}

.plan-details {
  font-size: 1.6rem;
  line-height: 1.6;
  border-bottom: 2px #4a086b solid;
  padding-bottom: 3px;
}

.btn-container {
  text-align: center;
  margin-top: 4.8rem;
}

.plan-starter {
  width: 75%;
}

.pricing-container {
  background: rgba(
    255,
    255,
    255,
    0.2
  ); /* λίγο πιο διαφανές για περισσότερο "τζάμι" */
  box-shadow: 0 1.6rem 3.2rem rgba(168, 19, 255, 0.9);
  backdrop-filter: blur(12px);
  /*Για safari θέλει το -webkit prefix*/
  -webkit-backdrop-filter: blur(12px);

  border: 1px solid rgba(255, 255, 255, 0.2);
  color: white; /* για καλύτερη αντίθεση */
  margin-bottom: 8rem;
  padding: 1.6rem;
  border-radius: 9px;
}

.pricing-container .heading-secondary {
  /*Μόνο για το h2 του pricing-container*/
  margin-bottom: 1.6rem;
}

/*Section-cta*/

.section-cta {
  padding: 9.6rem 0 12.8rem 0;
  background-image: linear-gradient(
      to bottom right,
      rgba(68, 68, 68, 0.8),
      rgba(103, 1, 255, 0.8)
    ),
    url(../imgs/CloudVault-3D-1.jpg);
  background-position: center;
  background-size: cover;
}

.cta {
  /* height: 50rem; */
  background-image: linear-gradient(
    to bottom right,
    rgba(68, 68, 68),
    rgba(103, 1, 255)
  );
  display: grid;
  grid-template-columns: 2fr 1fr;
  border-radius: 9px;
  overflow: hidden;
}

.cta-img-box {
  background-image: linear-gradient(
      rgba(255, 255, 255, 0.44),
      rgba(103, 1, 255, 0.8)
    ),
    url(../imgs/CloudVault-3D-2.jpg);
  background-position: center;
  background-size: cover;
}

.cta-text-box .heading-secondary {
  background: rgba(
    255,
    255,
    255,
    0.2
  ); /* λίγο πιο διαφανές για περισσότερο "τζάμι" */
  box-shadow: 0 1.6rem 3.2rem rgba(168, 19, 255, 0.9);
  backdrop-filter: blur(12px);
  /*Για safari θέλει το -webkit prefix*/
  -webkit-backdrop-filter: blur(12px);

  border: 1px solid rgba(255, 255, 255, 0.2);
  margin-bottom: 8rem;
  padding: 1.6rem;
  border-radius: 9px;
  margin-bottom: 1.8rem;
}

.cta-text-box {
  padding: 4.8rem;
  color: #fff;
}

.cta-form {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 3.2rem;
}

.cta-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 3.2rem;
}

.cta-form label {
  display: block;
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: 1.6rem;
}

.cta-form input,
.cta-form select {
  width: 100%;
  padding: 1.6rem;
  border-radius: 9px;
  font-size: 1.8rem;
  border: none;
  box-shadow: 0 1.2rem 2.4rem rgba(74, 8, 107, 0.5);
  font-family: inherit;
  color: #4a086b;
}

.cta-form *:focus {
  box-shadow: 0 0 0 8px rgba(37, 101, 239, 0.8);
}

.cta-form input::placeholder {
  font-family: inherit;
  color: #999;
}

/*FOOTER*/

/*Πρέπει να βάλεις το padding-top στο footer αλλιώς δεν δουλεύει το padding 0 3.2rem στο container*/

.footer {
  padding: 12.8rem 0rem;
}

.main-footer {
  grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
}

.logo-col {
  display: flex;
  flex-direction: column;
}

.copyright {
  font-size: 1.4rem;
  line-height: 1.6;
  margin-top: auto;
}

.footer-logo:link,
.footer-logo:visited {
  display: block;
  margin-bottom: 3.2rem;
}

.social-list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 2.4rem;
}

.social-icon {
  height: 2.4rem;
  width: 2.4rem;
}

.address-col {
  font-style: normal;
}

.address {
  font-size: 1.6rem;
  line-height: 1.6;
  margin-bottom: 1.6rem;
}

.phone-info {
  margin-bottom: 1.8rem;
}

.col-title {
  font-size: 2rem;
  font-weight: 600;
  color: #333;
  margin-bottom: 4rem;
}

.footer-link:link,
.footer-link:visited {
  display: inline-block;
  text-decoration: none;
  font-size: 1.6rem;
  color: #4a086b;
  line-height: 1.6;
}

.footer-link:hover,
.footer-link:active {
  color: #9015cd;
}

.footer-list {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

/*Mobile menu*/

.menu-btn {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}

.menu-icon[name="close-outline"] {
  display: none;
}

.menu-icon {
  height: 4.4rem;
  width: 4.4rem;
  color: #4a086b;
}

/*Fixed header*/

/*Αν sticky μέσα στο body τότε το .main-header του sticky να είναι fixed δες JS*/
.sticky .main-header {
  /*Βγαίνει εκτός ροής*/
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  /*Το height που ξέρεις ότι τόσο θα πάρει το header σε sticky μορφή*/
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  /*Nα είναι πάντα ορατό*/
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

/*Το .section-hero του sticky να έχει κενό ισό 9.6rem*/
.sticky .section-hero {
  margin-top: 9.6rem;
}

/* STICKY NAVIGATION */
/* .sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
} */

/*ΠΑΛΙΟ χωρίς absolute*/
/*Σχετικά με το πως βάζεις τους αριθμούς πάνω στις γραμμές

1)Αν θες η γραμμή να είναι κάθετη με τους αριθμούς θα πρέπει να 
βάλεις το line και τον αριθμό σε ένα parent-container ξεχωριστά και τα 2 τους

2)Δεν θα χρησιμοποιήσεις ποτέ border για να κάνεις γραμμές αλλά <div> που θα το 
σετάρεις σαν γραμμή

3)Αν θες οριζόντια μια γραμμή να διαπερνά και τους 3 αριθμούς θα πρέπει να τα βάλεις μέσα
σε ένα container πχ ένα pagination και που το κάνεις flex 

4)Καθέτα και οριζόντια το z-index:1 στο number λειτουργεί μόνο σε position relative και absolute.

5) Πρέπει να βάλεις background-color αλλιώς τζαμπά z-index*/

/*Το επόμενο βήμα εφόσον έχεις την html είναι να κάνεις grid-container το .time-line-item συγκεκριμένα 
θες 1fr για την φωτογραφία auto για τον αριθμό και 1fr για το κείμενο μετά φτιάχνεις το pseudo-element time-line::before για να
δημιουργήσεις την γραμμή*/

/*Αν θες να μην ελεγχείς τις γραμμές στο time-line-item βάλε time-line::after και time-line σε position:relative αν θες να τις ελεγχείς με :last-child κτλπ βάλε time-line-item::after και time-line-item position:relative*/

/*Αν θες να φτιάξεις logo ion icons να πάρεις το logo και peashop το text*/
